org.gnome.gtk

## Class ToolbarStyle

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.ToolbarStyle

-     public final class ToolbarStyle
      extends org.freedesktop.bindings.Constant

  Constants that can be used to customize the look-and-feel of a Toolbar, by calling its `setStyle()` method.
  Since:
    4.0.12
  Author:
    Vreixo Formoso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ToolbarStyle` | `BOTH` Toolbar buttons will display both an icon and text label.
    `static ToolbarStyle` | `BOTH_HORIZ` Toolbar buttons will display both an icon and text label.
    `static ToolbarStyle` | `ICONS` Toolbar buttons will only display an icon.
    `static ToolbarStyle` | `TEXT` Toolbar buttons will only display a text label.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BOTH

          public static ToolbarStyle BOTH

      Toolbar buttons will display both an icon and text label. The text will appear below the icon.

    - #### BOTH_HORIZ

          public static ToolbarStyle BOTH_HORIZ

      Toolbar buttons will display both an icon and text label. The text will appear alongside the icon. This has been the default in GNOME since about 2009.

    - #### ICONS

          public static ToolbarStyle ICONS

      Toolbar buttons will only display an icon.

    - #### TEXT

          public static ToolbarStyle TEXT

      Toolbar buttons will only display a text label.